<?

function Criptografar($strChave,$Chave)

{

Global $Frase;

$tamanho_da_frase = strlen($Frase);



mt_srand ((double) microtime() * 1000000);

$aux = mt_rand();

$tamanho_do_numero = $rest = substr ($aux, 3, 2); 



$tamanho_do_loop =$tamanho_da_frase + $tamanho_do_numero;



$strCriptografada = "";

  for ($i=1; $i<=$tamanho_do_loop; $i=$i+1)

  {



    $iChaveCaracter=ord(substr($Chave,$i-1,1));

    $iFraseCaracter=ord(substr($strChave,$i-1,1));

	$iCriptografadoCaracter = $iFraseCaracter + $iChaveCaracter;

	$strCriptografada=$strCriptografada.chr($iCriptografadoCaracter);



  } 



  return $strCriptografada;

} 



function Descriptografar($strCriptografada,$Chave)

{

	$strDescriptografada="";

  for ($i=1; $i<=strlen($strCriptografada); $i=$i+1)

  {



    $iChaveCaracter=(ord(substr($Chave,$i-1,1)));

    $iFraseCaracter=ord(substr($strCriptografada,$i-1,1));

	$iCriptografadoCaracter = $iFraseCaracter - $iChaveCaracter ;

	$strDescriptografada=$strDescriptografada.chr($iCriptografadoCaracter);



  } 



  return $strDescriptografada;

} 



function LerChaveDoArquivo($strArquivo,$MinhaChave)

{



$abre = fopen($strArquivo, "r");

$ChaveFile = fread($abre, filesize($strArquivo));

$fecha = fclose($abre);

  $ChaveFile = "+=`GJM^ZZKPI(@%W^I=0Y2*^;.12K>:9F6ZM*W@JAF+-VJ0-)0]'\BJ%<*P:<+F.='`>:),7*\W?1W_N]&1@7(B`=/WD)[>N+V8`9&$<BMG$P(6R4X'9]PNDT\O?.'CE/EB]'OP(_V,TI0*)`YR\VVT%Z\[2P2CE$\A_]RF*J.TC(EEC[>[&_P:CS\B7\A)E&\TN5>YNQFO@B[V;JW)N2(JS784L9,A/<F3C83*=0.PJ=RL17&AIA*)4DH%`;&_D";

	return $ChaveFile;

} 

?>